#!/bin/bash
set -ex

cmake -G Ninja -S . -B build ${CMAKE_ARGS} \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=${PREFIX} \
    -DBUILD_SHARED_LIBS=ON \
    -DWEBP_BUILD_CWEBP:BOOL=OFF \
    -DWEBP_BUILD_DWEBP:BOOL=OFF \
    -DWEBP_BUILD_EXTRAS:BOOL=OFF \
    -DWEBP_BUILD_GIF2WEBP:BOOL=OFF \
    -DWEBP_BUILD_IMG2WEBP:BOOL=OFF \
    -DWEBP_BUILD_LIBWEBPMUX:BOOL=ON \
    -DWEBP_BUILD_VWEBP:BOOL=OFF \
    -DWEBP_BUILD_WEBP_JS:BOOL=OFF \
    -DWEBP_BUILD_WEBPINFO:BOOL=OFF \
    -DWEBP_BUILD_WEBPMUX:BOOL=OFF \
    -DWEBP_LINK_STATIC:BOOL=OFF \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH:BOOL=ON

cmake --build build -j${CPU_COUNT}

cmake --install build --prefix ${PREFIX}
